Bug 242537 - Review Request: mksh - MirBSD enhanced version of the Korn Shell
Summary: Review Request: mksh - MirBSD enhanced version of the Korn Shell
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nigel Jones
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-04 18:30 UTC by Robert Scheck
Modified: 2015-05-09 18:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 05:28:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1210054 None None None Never

Internal Trackers: 1210054

Description Robert Scheck 2007-06-04 18:30:45 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/mksh.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/mksh-29f-1.src.rpm
Description: mksh is the MirBSD enhanced version of the Public Domain Korn 
shell (pdksh), a bourne-compatible shell which is largely similar to the 
original AT&T Korn shell. It includes bug fixes and feature improvements in 
order to produce a modern, robust shell good for interactive and especially 
script use, being a bourne shell replacement, pdksh successor and an 
alternative to the C shell.

Comment 1 Nigel Jones 2007-06-04 20:21:24 UTC
Hi, I should have time to look at this tonight (not sure If I'd be familar
enough to do a full review, but at the very least I'll be able to recommend some
changes.  (There are a couple of bits that I think might need changing).

Comment 2 Nigel Jones 2007-06-12 23:11:30 UTC
Sorry for the delay, I've been a little rushed, but I'll be happy to do a review
by the end of the week.

Comment 3 Nigel Jones 2007-06-17 04:14:08 UTC
Package name:             OK (mksh)
License:                  OK (BSD)
Spec Legible:             OK (en_US)
md5sum matches:           OK (83b4ca84faa1a1ea4cf6db6eb41a0384)
rpmlint clean:            OK (Acceptable warnings)
Builds correctly:         OK (i386)
Spec has %clean:          OK
Macro use consistant:     OK
Contains code/content:    OK
-doc subpackage:          NA
-devel subpackage:        NA
-static subpackage:       NA
pkgconfig depend:         NA
Contains %doc:            OK (copyright dot.mkshrc)
Library suffix:           NA
No .la files:             NA
Use desktop-file-install: NA
No duplicate ownerships:  OK
rm -rf %{buildroot}:      OK
RPM uses valid UTF-8:     OK
%defattr is set:          OK
No duplicate %files:      OK
Not relocatable:          OK
Calls ldconfig:           NA
Supports Locales:         NA
BR's are correct:         OK

MUST FIX:
mksh.spec:
if [ ! -f %{_sysconfdir}/shells ]; then
  echo "%{_bindir}/%{name}" >> %%{_sysconfdir}/shells
else
  grep -q "^%{_bindir}/%{name}$" %{_sysconfdir}/shells || \
  echo "%{_bindir}/%{name}" >> %{_sysconfdir}/shells
fi

Please remove the double %

APPROVED (n.b. it builds on EL-5 (and should on EL-4)

Comment 4 Robert Scheck 2007-06-17 15:57:48 UTC
Nigel, thanks for reviewing. I'll fix the typo before initial checkin.


New Package CVS Request
=======================
Package Name: mksh
Short Description: MirBSD enhanced version of the Korn Shell
Owners: redhat-bugzilla@linuxnetz.de
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 

Comment 5 Kevin Fenzi 2007-06-18 05:01:21 UTC
cvs done.

Comment 6 Nigel Jones 2007-07-02 01:19:29 UTC
Have you managed to get mksh built yet?

Comment 7 Robert Scheck 2007-07-02 05:28:16 UTC
Package: mksh-29f-1.fc8 Tag: dist-f8 Status: complete
Package: mksh-29f-1.fc7 Tag: dist-fc7-updates-candidate Status: complete
34295 (mksh): Build on target fedora-6-extras succeeded.
34296 (mksh): Build on target fedora-4-epel succeeded.
34297 (mksh): Build on target fedora-5-epel succeeded.


Note You need to log in before you can comment on or make changes to this bug.